#if !defined(AFX_PRGSNAP_H__A65A7DB2_4761_45E7_8F6B_07417AC66836__INCLUDED_)
#define AFX_PRGSNAP_H__A65A7DB2_4761_45E7_8F6B_07417AC66836__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PrgSnap.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "PrgSnapSub.h"		// For CFCPRGSNAP.
#include "StcBorder.h"		// For CFCStcBorder.
#include "PropertyPageBase.h"	// For Baseclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCPropertyPageBase

/////////////////////////////////////////////////////////////////////////////
// CFCPrgSnap _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCPrgSnap : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNCREATE(CFCPrgSnap)

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCPrgSnap();
	~CFCPrgSnap();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCPrgSnap)
	enum { IDD = IDD_PRG_SNAP };
	CFCStcBorder	m_stcBorder2;
	CFCStcBorder	m_stcBorder1;
	//}}AFX_DATA

CFCPRGSNAP

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_

	//{{AFX_VIRTUAL(CFCPrgSnap)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:
	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCPrgSnap)
	virtual BOOL OnInitDialog();
	afx_msg void OnPgsChkSnapActive();
	afx_msg void OnPgsChkSnapSameValue();
	afx_msg void OnSelchangePgsCbbSnapHorz();
	afx_msg void OnEditchangePgsCbbSnapHorz();
	afx_msg void OnCloseupPgsCbbSnapHorz();
	afx_msg void OnSelchangePgsCbbSnapVert();
	afx_msg void OnEditchangePgsCbbSnapVert();
	afx_msg void OnCloseupPgsCbbSnapVert();
	afx_msg void OnSelchangePgsCbbSnapAngle();
	afx_msg void OnEditchangePgsCbbSnapAngle();
	afx_msg void OnCloseupPgsCbbSnapAngle();
	afx_msg void OnPgsRdoSnapLeftTop();
	afx_msg void OnPgsRdoSnapCenterTop();
	afx_msg void OnPgsRdoSnapRightTop();
	afx_msg void OnPgsRdoSnapLeftCenter();
	afx_msg void OnPgsRdoSnapCenterCenter();
	afx_msg void OnPgsRdoSnapRightCenter();
	afx_msg void OnPgsRdoSnapLeftBottom();
	afx_msg void OnPgsRdoSnapCenterBottom();
	afx_msg void OnPgsRdoSnapRightBottom();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnDialogInitValue();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_PRGSNAP_H__A65A7DB2_4761_45E7_8F6B_07417AC66836__INCLUDED_)
